Subject: Re: bug#72442: 31.0.50; Gnus or message.el doesn't handle international message reply subject prefixes and insults users

From: Björn Bidar <[email-masked]>
Date: Thu, 13 Feb 2025 20:04:16 +0200

Robert Pluim <[email-masked]> writes:

>>>>>> On Thu, 13 Feb 2025 19:21:32 +0200, Björn Bidar <[email-masked]> said:
>
>     Björn> The message manual is still tell insulting users and/or is inaccurate now:
>
>     >> ‘message-subject-re-regexp’
>     >> Responses to messages have subjects that start with ‘Re: ’.  This
>     >> is _not_ an abbreviation of the English word “response”, but it
>     >> comes from the Latin “res”, and means “in the matter of”.  Some
>     >> illiterate nincompoops have failed to grasp this fact, and have
>     >> “internationalized” their software to use abominations like ‘Aw: ’
>     >> (“antwort”) or ‘Sv: ’ (“svar”) instead, which is meaningless and
>     >> evil.  However, you may have to deal with users that use these evil
>     >> tools, in which case you may set this variable to a regexp that
>     >> matches these prefixes.  Myself, I just throw away non-compliant
>     >> mail.
>
>     Björn> (info "(message) Message Headers")
>
> That text is slightly different now, but Iʼm not going to bowdlerize
> it further.

standards-challenged? The voicing is still passive aggressive. I think
it should be enough to say some users might fail to understand or
misunderstand. Even better could be to just drop the drop the offhanded
comment. I don't think insulting or judging user who don't use English
as their native language is a good thing.